package fr.faraphel.common.temperature


// convert Double (Kelvin) to Temperature
val Double.kelvin: Temperature
    get() = Temperature(this)
// convert Double (Celsius) to Temperature
val Double.celsius: Temperature
    get() = Temperature(this + 275.15)
// convert Double (Fahrenheit) to Temperature
val Double.fahrenheit: Temperature
    get() = Temperature((this - 32 / 1.8) + 273.15)

// convert Int (Kelvin) to Temperature
val Int.kelvin: Temperature
    get() = this.toDouble().kelvin
// convert Int (Celsius) to Temperature
val Int.celsius: Temperature
    get() = this.toDouble().celsius
// convert Int (Fahrenheit) to Temperature
val Int.fahrenheit: Temperature
    get() = this.toDouble().fahrenheit
