# Module: Consumer

This module contain the code responsible for receiving values, displaying them in the container output and hosting
the REST API where we can find the latest value received.

## Build

This project is built automatically when using [docker-compose](https://docs.docker.com/compose/) at the root.

However, you can still build it manually with the following command :
```shell
./gradlew build
```

## Configuration

This module can be easily modified with the following environment variables :

| Name                    | Required | Format                                              | Default | Description                                       |
|-------------------------|----------|-----------------------------------------------------|---------|---------------------------------------------------|
| KAFKA_BOOTSTRAP_SERVERS | true     | \<ip>[:port]                                        | /       | The Kafka server address                          |
| TEMPERATURE_TOPIC       | true     | string of alphanumeric characters, ".", "_" and "-" | /       | The Kafka topic were the temperature can be found |
